body, html {
  margin: 0;
  padding: 0;
  font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
  color: green;
  height: 100%;
}

body {
  background-image: url(./images/firewatch-8-1366768-wallpaper.png);
  background-size: cover;
  background-position: center ;
   background-repeat: no-repeat;
  background-attachment:fixed
  
}

h1 {
  color: darkcyan;
}

header {
  margin-top: 3em;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
}

/* Animate header and li elements */
h1, ul > li {
  transition: all 0.3s ease-in-out;
}

h1:hover, ul > li:hover {
  transform: scale(1.1);
  box-shadow: #00707c 1px 2px 16px 6px;
}

header > img {
  width: 10em;
  height: 10em;
  border-radius: 100px;
  border: 2px solid black;
  box-shadow: #5BEFFF 1px 2px 16px 2px;
  animation: pulse 2s infinite;
}

@keyframes pulse {
  0% {
    box-shadow: #5BEFFF 1px 2px 16px 2px;
  }
  50% {
    box-shadow: #FF6B5B 1px 2px 16px 10px;
  }
  100% {
    box-shadow: #EFFF5B 1px 2px 16px 2px;
  }
}


header > h1 {
  display:inline-block;
  font-size: 2.3em;
  font-weight: bold;
  border-radius: 1em;
  color:thistle;
  padding: 0.3em 0.6em;
  border: 3px solid thistle;
  backdrop-filter: blur(1px);
  -webkit-backdrop-filter: blur(10px);
  box-shadow: thistle 1px 2px 16px 2px;
}

ul {
  box-sizing: border-box;
  list-style: none ;
  margin: 0 auto;
  padding: 2em;
  max-width: 480px;
}

ul > li {
  background-color: #fffa;
  backdrop-filter: blur(10px) saturate(260%) contrast(180%);
  -webkit-backdrop-filter: blur(10px) saturate(260%) contrast(180%);
  border-radius: 10em;
  padding: 0.4em;
  margin: 1.4em 0;
  box-shadow: aqua 1px 2px 16px 2px;
}

ul > li > a {
  display: flex;
  flex-direction: row;
  justify-content: center;
  gap: 0.7em;
  padding: 1em;
}

a {
  color: black;
  text-decoration: none;
}

/* Make the website responsive */
@media (max-width: 768px) {
  header {
    opacity: 0;
    animation: fadeIn 1s ease-in-out forwards;
  }

  @keyframes fadeIn {
    from {
      opacity: 0;
    }
    to {
      opacity: 1;
    }
  }

  ul {
    max-width: 90%;
    padding: 1em;
  }

  ul > li {
    margin: 1em 0;
  }
}
